# $Revision: 1.23 $, $Date: 2012/03/05 06:26:44 $
Summary:	X.org input driver for Aiptek HyperPen USB-based tablet devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla tabletów Aiptek HyperPen na USB
Name:		xorg-driver-input-aiptek
Version:	1.4.1
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-aiptek-%{version}.tar.bz2
# Source0-md5:	8231f6ce1c477eac653c9deb527fa3cb
URL:		http://aiptektablet.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.9.0
BuildRequires:  rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Aiptek HyperPen USB-based tablet devices.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla tabletów Aiptek HyperPen na USB.

%prep
%setup -q -n xf86-input-aiptek-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/aiptek_drv.so
%{_mandir}/man4/aiptek.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-aiptek.spec,v $
Revision 1.23  2012/03/05 06:26:44  arekm
- release 3

Revision 1.22  2011/08/27 09:00:05  arekm
- release 2

Revision 1.21  2011/06/29 00:48:10  qboosh
- updated to 1.4.1

Revision 1.20  2011/05/04 15:01:15  qboosh
- updated xserver version

Revision 1.19  2011/05/04 13:59:26  arekm
- up to 1.4.0

Revision 1.18  2011/02/27 08:32:24  arekm
- release 2

Revision 1.17  2010/08/29 05:40:29  qboosh
- updated to 1.3.1

Revision 1.16  2009/10/02 08:26:41  arekm
- release 2

Revision 1.15  2009/02/25 21:46:39  arekm
- up to 1.2.0

Revision 1.14  2009/02/25 21:11:03  arekm
- release 3

Revision 1.13  2008/07/01 16:03:20  arekm
- release 2

Revision 1.12  2008-03-08 09:49:14  arekm
- up to 1.1.1

Revision 1.11  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.10  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.9  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.7  2006/12/19 09:13:39  qboosh
- back, using sources from aiptektablet.sourceforge.net
- xorg package is still used as build system

Revision 1.6  2006/12/16 17:58:27  arekm
- deprecated; use http://aiptektablet.sourceforge.net/

Revision 1.5  2006/04/10 11:48:24  qboosh
- updated to 1.0.1

Revision 1.4  2006/01/04 14:47:48  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/06 13:47:13  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 11:09:34  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/27 11:06:26  qboosh
- new
